# DFAA Calculations.R
DFAA <- read.xlsx(FileName, sheet = 1, startRow = 1, colNames = TRUE,
  rowNames = FALSE, detectDates = FALSE, skipEmptyRows = TRUE,
  rows = NULL, cols = NULL, check.names = FALSE, namedRegion = NULL)
DFAA # Check to be sure data is present
is.data.frame(DFAA) # Check if data frame
dimnames(DFAA) # Check dimension names
# Check if inputs correct
NItems <- length(DFAA$t)
NItemsCheck <- T * m
if(NItems != NItemsCheck)paste0('ERROR: T and m do not match file. Results wrong!!')
Value <- 0
Counter <- 0
for(t in 1:T){
  for(j in 1:m){
    Counter <- Counter + 1 
    Value = Value + DFAA$q[Counter]*DFAA$CF[Counter] / 
      (1 + DFAA$r[Counter] + DFAA$RP[Counter])^DFAA$t[Counter]
  }
}
options(scipen = 999) # Do not present in scientific notation
Value
# Illustration when you do want to print to console
print("MCA Calculation.R Value = ")
print(Value)
