# Discount Factor Adjusted Approach Test.R
# rmarkdown::render("Discount Factor Adjusted Approach Test.R", "word_document")
rm(list = ls())  # Take out the Environment "trash"
cat("\014") # Clear Console, making error checking easier.
while (!is.null(dev.list()))  dev.off() # Clear old plots
par(family = 'Times New Roman') # Globally set fonts for graphs
defaultpar <- par() # plot global parameters
# Libraries
#   openxlsx: MS Excel file management
Packages <- c("openxlsx") 
if(length(setdiff(Packages, rownames(installed.packages()))) > 0) {
  install.packages(setdiff(Packages, rownames(installed.packages())))
} # Make sure libraries are installed on this computer
lapply(Packages, library, character.only=TRUE) # Load and attach libraries
rm(Packages)
#
# Simple program illustrating reading and writing xlsx files
#
T = 5 # Number of future points in time
m = 5 # Number of states at each future point in time
FileName = 'DFAA Inputs.xlsx'
source('DFAA Calculations.R')
paste0('Print of input file: DFAA Inputs.xlsx')
DFAA
paste0('DFAA Value: $',formatC(Value, big.mark=',', format = 'f', digits = 2))
