# CFAA Calculations.R
CFAA <- read.xlsx(FileName, sheet = 1, startRow = 1, colNames = TRUE,
  rowNames = FALSE, detectDates = FALSE, skipEmptyRows = TRUE,
  rows = NULL, cols = NULL, check.names = FALSE, namedRegion = NULL)
CFAA # Check to be sure data is present
is.data.frame(CFAA) # Check if data frame
dimnames(CFAA) # Check dimension names
# Check if inputs correct
NItems <- length(CFAA$t)
NItemsCheck <- T * m
if(NItems != NItemsCheck)paste0('ERROR: T and m do not match file. Results wrong!!')
Value <- 0
Counter <- 0
for(t in 1:T){
  for(j in 1:m){
    Counter <- Counter + 1 
    Value = Value + CFAA$q[Counter]*CFAA$CF[Counter]/(1 + CFAA$r[Counter])^CFAA$t[Counter]
  }
}
options(scipen = 999) # Do not present in scientific notation
Value
# Illustration when you do want to print to console
print("CFAA Calculation.R Value = ")
print(Value)
